/**
 * Gov.co (https://www.gov.co) - Gobierno de Colombia
 *  - Componente: Entradas de texto
 *  - Version: 4.0.0
 */

body {
  margin: 0;
  padding: 0;
}
 
 /* all */
.container-texto-govco {
  padding: 1rem 0;
  font-size: 1rem;
}

 .label-texto-govco {
  color: #4B4B4B;
  display: block;
  line-height: 2rem;
  font-size: 1rem;
}

.container-input-texto-govco {
  position: relative;
}

.campo-texto-govco {
  outline: none;
  background-color: #FFFFFF!important;
  border: 0.125rem solid #737373!important;
  border-radius: 0.313rem!important;
  width: 100%;
  padding: 0.5rem!important;
  box-sizing: border-box;
  color: #4B4B4B!important;
  font-size: 1rem!important;
  margin-bottom: 0.5rem!important;
  display: inline!important;
  height: auto!important;  
  box-sizing: inherit!important;
}

.campo-texto-govco::placeholder {
  color: #737373!important;
}

.campo-texto-govco:not(.success):not(.error):focus {
  box-shadow: 0px 4px 0px #3366CC24!important;
  border: 0.125rem solid #3366CC!important;
}

.campo-texto-govco:disabled {
  background-color: #F2F2F2!important;
  border: 0.125rem solid #BABABA!important;
}

.campo-texto-govco:disabled::placeholder, .disabled-govco .label-texto-govco, .disabled-govco span {
  color: #BABABA!important;
}

.container-texto-govco .none, .success-icon-texto-govco, .error-icon-texto-govco {
  display: none;
}

.disabled-texto-govco button {
  display: none!important;
}

/* contador, nota, contraseña, Correo electronico, Teléfono, Validaciones */
.alert-texto-govco {
  display: block;
}

/* contador */
.contador-texto-govco {
  color: #737373;
  float: right;
}

/* nota, contraseña */
.info-texto-govco {
  color: #737373;
}

/* contraseña, Correo electronico, Teléfono, Validaciones */
.icon-texto-govco {
  position: absolute;
  border: 0;
  background: transparent;
  padding: 0;
  cursor: pointer;  
  right: 1.5rem;
  top: 0.7rem;
}

.icon-texto-govco span {
  display: block;
  position: relative;
  background-size: 1.6rem;
  background-position: 50% 50%;
  background-repeat: no-repeat;  
}

/* contraseña */
.eye-texto-govco span, .eye-slash-texto-govco span {
  width: 1.5rem;
  height: 1.2rem;
}

.eye-texto-govco span {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512' style='fill:%233366CC;'%3E%3C!-- Font Awesome Free 5.15.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E%3Cpath d='M288 144a110.94 110.94 0 0 0-31.24 5 55.4 55.4 0 0 1 7.24 27 56 56 0 0 1-56 56 55.4 55.4 0 0 1-27-7.24A111.71 111.71 0 1 0 288 144zm284.52 97.4C518.29 135.59 410.93 64 288 64S57.68 135.64 3.48 241.41a32.35 32.35 0 0 0 0 29.19C57.71 376.41 165.07 448 288 448s230.32-71.64 284.52-177.41a32.35 32.35 0 0 0 0-29.19zM288 400c-98.65 0-189.09-55-237.93-144C98.91 167 189.34 112 288 112s189.09 55 237.93 144C477.1 345 386.66 400 288 400z'/%3E%3C/svg%3E");
}

.eye-slash-texto-govco span {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 512' style='fill:%23737373;'%3E%3C!-- Font Awesome Free 5.15.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E%3Cpath d='M320 400c-75.85 0-137.25-58.71-142.9-133.11L72.2 185.82c-13.79 17.3-26.48 35.59-36.72 55.59a32.35 32.35 0 0 0 0 29.19C89.71 376.41 197.07 448 320 448c26.91 0 52.87-4 77.89-10.46L346 397.39a144.13 144.13 0 0 1-26 2.61zm313.82 58.1l-110.55-85.44a331.25 331.25 0 0 0 81.25-102.07 32.35 32.35 0 0 0 0-29.19C550.29 135.59 442.93 64 320 64a308.15 308.15 0 0 0-147.32 37.7L45.46 3.37A16 16 0 0 0 23 6.18L3.37 31.45A16 16 0 0 0 6.18 53.9l588.36 454.73a16 16 0 0 0 22.46-2.81l19.64-25.27a16 16 0 0 0-2.82-22.45zm-183.72-142l-39.3-30.38A94.75 94.75 0 0 0 416 256a94.76 94.76 0 0 0-121.31-92.21A47.65 47.65 0 0 1 304 192a46.64 46.64 0 0 1-1.54 10l-73.61-56.89A142.31 142.31 0 0 1 320 112a143.92 143.92 0 0 1 144 144c0 21.63-5.29 41.79-13.9 60.11z'/%3E%3C/svg%3E");
}

/* contraseña, Correo electronico, Teléfono, Validaciones */
input.success {
  border: 0.125rem solid #068460!important;
}

input.success::placeholder, input.success {
  color: #077253;
}

.success-texto-govco {
  color: #068460;
}

input.error {
  border: 0.125rem solid #A80521!important;
}

input.error::placeholder, .error-texto-govco, input.error {
  color: #A80521;
}
 
input.success ~ .success-icon-texto-govco, 
input.error ~ .error-icon-texto-govco {
  display: initial;
}

input.campo-texto-govco::-ms-reveal {
  display: none;
}

/* Correo electronico, Teléfono, Validaciones */
.success-icon-texto-govco {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' style='fill:%23068460;'%3E%3C!-- Font Awesome Free 5.15.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E%3Cpath d='M504 256c0 136.967-111.033 248-248 248S8 392.967 8 256 119.033 8 256 8s248 111.033 248 248zM227.314 387.314l184-184c6.248-6.248 6.248-16.379 0-22.627l-22.627-22.627c-6.248-6.249-16.379-6.249-22.628 0L216 308.118l-70.059-70.059c-6.248-6.248-16.379-6.248-22.628 0l-22.627 22.627c-6.248 6.248-6.248 16.379 0 22.627l104 104c6.249 6.249 16.379 6.249 22.628.001z'/%3E%3C/svg%3E");
}

.error-icon-texto-govco {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' style='fill:%23A80521;'%3E%3C!-- Font Awesome Free 5.15.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E%3Cpath d='M504 256c0 136.997-111.043 248-248 248S8 392.997 8 256C8 119.083 119.043 8 256 8s248 111.083 248 248zm-248 50c-25.405 0-46 20.595-46 46s20.595 46 46 46 46-20.595 46-46-20.595-46-46-46zm-43.673-165.346l7.418 136c.347 6.364 5.609 11.346 11.982 11.346h48.546c6.373 0 11.635-4.982 11.982-11.346l7.418-136c.375-6.874-5.098-12.654-11.982-12.654h-63.383c-6.884 0-12.356 5.78-11.981 12.654z'/%3E%3C/svg%3E");
}

.success-icon-texto-govco span, .error-icon-texto-govco span {
  width: 1.5rem;
  height: 1.5rem;
}
